package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import lombok.Data;

/**
 * 手动填报泊位（月度）信息
 * @TableName SHORE_POWER_CHDEVICEFBO
 */
@TableName(value ="GHJG_PORT_MANAGE.SHORE_POWER_CHDEVICEFBO")
@Data
public class ShorePowerChdevicefbo implements Serializable {
    /**
     * 主键id
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 用户id
     */
    @TableField(value = "USER_ID")
    private String userId;

    /**
     * 岸电经营人名称
     */
    @TableField(value = "PORT_OPERATOR_NAME")
    private String portOperatorName;

    /**
     * 港口编号
     */
    @TableField(value = "PORT_ID")
    private String portId;

    /**
     * 港口名称
     */
    @TableField(value = "PORT_NAME")
    private String portName;

    /**
     * 位置
     */
    @TableField(value = "POSITION")
    private String position;

    /**
     * 所属区域（1 外港、2 市管内河、3 崇明内河、4 浦东内河、5 宝山内河、6 嘉定内河、7 奉贤内河、8 闵行内河、9 金山内河、10 青浦内河、11 松江内河）
     */
    @TableField(value = "AREA")
    private String area;

    /**
     * 泊位名称
     */
    @TableField(value = "BERTH_NAME")
    private String berthName;

    /**
     * 泊位ID
     */
    @TableField(value = "BERTH_ID")
    private String berthId;

    /**
     * 泊位经度
     */
    @TableField(value = "BERTH_LNG")
    private BigDecimal berthLng;

    /**
     * 泊位纬度
     */
    @TableField(value = "BERTH_LAT")
    private BigDecimal berthLat;

    /**
     * 泊位类型
     */
    @TableField(value = "BERTH_TYPE")
    private String berthType;

    /**
     * 吨级（单位：万吨）
     */
    @TableField(value = "TONNAGE")
    private BigDecimal tonnage;

    /**
     * 是否存在岸电设施
     */
    @TableField(value = "EXIST_DEVICE")
    private Long existDevice;

    /**
     * 岸电设施编号
     */
    @TableField(value = "DEVICE_ID")
    private String deviceId;

    /**
     * 设备数量
     */
    @TableField(value = "DEVICE_COUNT")
    private Integer deviceCount;

    /**
     * 设备认证证书编号
     */
    @TableField(value = "DEVICE_CERTIFICATE_ID")
    private String deviceCertificateId;

    /**
     * 电压等级
     */
    @TableField(value = "VOLTAGE_GRADE")
    private Long voltageGrade;

    /**
     * 设施情况备注
     */
    @TableField(value = "DEVICE_REMARK")
    private String deviceRemark;

    /**
     * 岸电单套设备容量（单位：kVA）
     */
    @TableField(value = "DEVICE_CAPACITY")
    private BigDecimal deviceCapacity;

    /**
     * 
     */
    @TableField(value = "DEVICE_TYPE")
    private Integer deviceType;

    /**
     * 电压（单位：kV）
     */
    @TableField(value = "DEVICE_VOLTAGE")
    private String deviceVoltage;

    /**
     * 设备频率  1 定频 2 变频
     */
    @TableField(value = "DEVICE_FREQUENCY")
    private Long deviceFrequency;

    /**
     * 投资（万元）
     */
    @TableField(value = "INVESTMENT")
    private BigDecimal investment;

    /**
     * 设备厂家
     */
    @TableField(value = "DEVICE_FACTORY")
    private String deviceFactory;

    /**
     * 建成时间
     */
    @TableField(value = "BUILT_TIME")
    private String builtTime;

    /**
     * 删除标志
     */
    @TableField(value = "DELETE_FLAG")
    private Long deleteFlag;

    /**
     * 创建时间
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "CREATE_UID")
    private String createUid;

    /**
     * 修改时间
     */
    @TableField(value = "MODIFY_TIME")
    private Date modifyTime;

    /**
     * 修改人
     */
    @TableField(value = "MODIFY_UID")
    private String modifyUid;

    /**
     * 港口企业名称
     */
    @TableField(value = "ENTERPRISES_NAME")
    private String enterprisesName;

    @TableField(value = "OBj_ID")
    private String objId;

    @TableField(exist = false)
    private List<ShorePowerBlberthmonthuse> useMonthList;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ShorePowerChdevicefbo other = (ShorePowerChdevicefbo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getPortOperatorName() == null ? other.getPortOperatorName() == null : this.getPortOperatorName().equals(other.getPortOperatorName()))
            && (this.getPortId() == null ? other.getPortId() == null : this.getPortId().equals(other.getPortId()))
            && (this.getPortName() == null ? other.getPortName() == null : this.getPortName().equals(other.getPortName()))
            && (this.getPosition() == null ? other.getPosition() == null : this.getPosition().equals(other.getPosition()))
            && (this.getArea() == null ? other.getArea() == null : this.getArea().equals(other.getArea()))
            && (this.getBerthName() == null ? other.getBerthName() == null : this.getBerthName().equals(other.getBerthName()))
            && (this.getBerthId() == null ? other.getBerthId() == null : this.getBerthId().equals(other.getBerthId()))
            && (this.getBerthLng() == null ? other.getBerthLng() == null : this.getBerthLng().equals(other.getBerthLng()))
            && (this.getBerthLat() == null ? other.getBerthLat() == null : this.getBerthLat().equals(other.getBerthLat()))
            && (this.getBerthType() == null ? other.getBerthType() == null : this.getBerthType().equals(other.getBerthType()))
            && (this.getTonnage() == null ? other.getTonnage() == null : this.getTonnage().equals(other.getTonnage()))
            && (this.getExistDevice() == null ? other.getExistDevice() == null : this.getExistDevice().equals(other.getExistDevice()))
            && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
            && (this.getDeviceCount() == null ? other.getDeviceCount() == null : this.getDeviceCount().equals(other.getDeviceCount()))
            && (this.getDeviceCertificateId() == null ? other.getDeviceCertificateId() == null : this.getDeviceCertificateId().equals(other.getDeviceCertificateId()))
            && (this.getVoltageGrade() == null ? other.getVoltageGrade() == null : this.getVoltageGrade().equals(other.getVoltageGrade()))
            && (this.getDeviceRemark() == null ? other.getDeviceRemark() == null : this.getDeviceRemark().equals(other.getDeviceRemark()))
            && (this.getDeviceCapacity() == null ? other.getDeviceCapacity() == null : this.getDeviceCapacity().equals(other.getDeviceCapacity()))
            && (this.getDeviceType() == null ? other.getDeviceType() == null : this.getDeviceType().equals(other.getDeviceType()))
            && (this.getDeviceVoltage() == null ? other.getDeviceVoltage() == null : this.getDeviceVoltage().equals(other.getDeviceVoltage()))
            && (this.getDeviceFrequency() == null ? other.getDeviceFrequency() == null : this.getDeviceFrequency().equals(other.getDeviceFrequency()))
            && (this.getInvestment() == null ? other.getInvestment() == null : this.getInvestment().equals(other.getInvestment()))
            && (this.getDeviceFactory() == null ? other.getDeviceFactory() == null : this.getDeviceFactory().equals(other.getDeviceFactory()))
            && (this.getBuiltTime() == null ? other.getBuiltTime() == null : this.getBuiltTime().equals(other.getBuiltTime()))
            && (this.getDeleteFlag() == null ? other.getDeleteFlag() == null : this.getDeleteFlag().equals(other.getDeleteFlag()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateUid() == null ? other.getCreateUid() == null : this.getCreateUid().equals(other.getCreateUid()))
            && (this.getModifyTime() == null ? other.getModifyTime() == null : this.getModifyTime().equals(other.getModifyTime()))
            && (this.getModifyUid() == null ? other.getModifyUid() == null : this.getModifyUid().equals(other.getModifyUid()))
            && (this.getEnterprisesName() == null ? other.getEnterprisesName() == null : this.getEnterprisesName().equals(other.getEnterprisesName()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getPortOperatorName() == null) ? 0 : getPortOperatorName().hashCode());
        result = prime * result + ((getPortId() == null) ? 0 : getPortId().hashCode());
        result = prime * result + ((getPortName() == null) ? 0 : getPortName().hashCode());
        result = prime * result + ((getPosition() == null) ? 0 : getPosition().hashCode());
        result = prime * result + ((getArea() == null) ? 0 : getArea().hashCode());
        result = prime * result + ((getBerthName() == null) ? 0 : getBerthName().hashCode());
        result = prime * result + ((getBerthId() == null) ? 0 : getBerthId().hashCode());
        result = prime * result + ((getBerthLng() == null) ? 0 : getBerthLng().hashCode());
        result = prime * result + ((getBerthLat() == null) ? 0 : getBerthLat().hashCode());
        result = prime * result + ((getBerthType() == null) ? 0 : getBerthType().hashCode());
        result = prime * result + ((getTonnage() == null) ? 0 : getTonnage().hashCode());
        result = prime * result + ((getExistDevice() == null) ? 0 : getExistDevice().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getDeviceCount() == null) ? 0 : getDeviceCount().hashCode());
        result = prime * result + ((getDeviceCertificateId() == null) ? 0 : getDeviceCertificateId().hashCode());
        result = prime * result + ((getVoltageGrade() == null) ? 0 : getVoltageGrade().hashCode());
        result = prime * result + ((getDeviceRemark() == null) ? 0 : getDeviceRemark().hashCode());
        result = prime * result + ((getDeviceCapacity() == null) ? 0 : getDeviceCapacity().hashCode());
        result = prime * result + ((getDeviceType() == null) ? 0 : getDeviceType().hashCode());
        result = prime * result + ((getDeviceVoltage() == null) ? 0 : getDeviceVoltage().hashCode());
        result = prime * result + ((getDeviceFrequency() == null) ? 0 : getDeviceFrequency().hashCode());
        result = prime * result + ((getInvestment() == null) ? 0 : getInvestment().hashCode());
        result = prime * result + ((getDeviceFactory() == null) ? 0 : getDeviceFactory().hashCode());
        result = prime * result + ((getBuiltTime() == null) ? 0 : getBuiltTime().hashCode());
        result = prime * result + ((getDeleteFlag() == null) ? 0 : getDeleteFlag().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateUid() == null) ? 0 : getCreateUid().hashCode());
        result = prime * result + ((getModifyTime() == null) ? 0 : getModifyTime().hashCode());
        result = prime * result + ((getModifyUid() == null) ? 0 : getModifyUid().hashCode());
        result = prime * result + ((getEnterprisesName() == null) ? 0 : getEnterprisesName().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", portOperatorName=").append(portOperatorName);
        sb.append(", portId=").append(portId);
        sb.append(", portName=").append(portName);
        sb.append(", position=").append(position);
        sb.append(", area=").append(area);
        sb.append(", berthName=").append(berthName);
        sb.append(", berthId=").append(berthId);
        sb.append(", berthLng=").append(berthLng);
        sb.append(", berthLat=").append(berthLat);
        sb.append(", berthType=").append(berthType);
        sb.append(", tonnage=").append(tonnage);
        sb.append(", existDevice=").append(existDevice);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", deviceCount=").append(deviceCount);
        sb.append(", deviceCertificateId=").append(deviceCertificateId);
        sb.append(", voltageGrade=").append(voltageGrade);
        sb.append(", deviceRemark=").append(deviceRemark);
        sb.append(", deviceCapacity=").append(deviceCapacity);
        sb.append(", deviceType=").append(deviceType);
        sb.append(", deviceVoltage=").append(deviceVoltage);
        sb.append(", deviceFrequency=").append(deviceFrequency);
        sb.append(", investment=").append(investment);
        sb.append(", deviceFactory=").append(deviceFactory);
        sb.append(", builtTime=").append(builtTime);
        sb.append(", deleteFlag=").append(deleteFlag);
        sb.append(", createTime=").append(createTime);
        sb.append(", createUid=").append(createUid);
        sb.append(", modifyTime=").append(modifyTime);
        sb.append(", modifyUid=").append(modifyUid);
        sb.append(", enterprisesName=").append(enterprisesName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}