package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 内河低压分析表
 * @TableName SP_STATEMENT_INLAND_LOW
 */
@TableName(value ="GHJG_PORT_MANAGE.SP_STATEMENT_INLAND_LOW")
@Data
public class SpStatementInlandLow implements Serializable {
    /**
     * id
     */
    @TableField(value = "ID")
    private String id;

    /**
     * 行政区
     */
    @TableField(value = "DISTRICT")
    private String district;

    /**
     * 使用岸电船舶艘次-当月
     */
    @TableField(value = "BOAT_USE_NUMBER_MONTH")
    private BigDecimal boatUseNumberMonth = BigDecimal.ZERO;

    /**
     * 使用岸电船舶艘次-环比
     */
    @TableField(value = "BOAT_USE_NUMBER_CHAIN")
    private BigDecimal boatUseNumberChain;

    /**
     * 使用岸电船舶艘次-当年累计
     */
    @TableField(value = "BOAT_USE_NUMBER_YEAR_TOTAL")
    private BigDecimal boatUseNumberYearTotal = BigDecimal.ZERO;

    /**
     * 使用岸电小时（小时）-当月
     */
    @TableField(value = "POWER_CONN_HOURS_MONTH")
    private BigDecimal powerConnHoursMonth = BigDecimal.ZERO;

    /**
     * 使用岸电小时（小时）-当年累计
     */
    @TableField(value = "POWER_CONN_HOURS_YEAR_TOTAL")
    private BigDecimal powerConnHoursYearTotal = BigDecimal.ZERO;

    /**
     * 使用岸电电量（kWh）-当月
     */
    @TableField(value = "ELECTRICITY_USAGE_MONTH")
    private BigDecimal electricityUsageMonth = BigDecimal.ZERO;

    /**
     * 使用岸电电量（kWh）-当年累计
     */
    @TableField(value = "ELECTRICITY_USAGE_YEAR_TOTAL")
    private BigDecimal electricityUsageYearTotal = BigDecimal.ZERO;

    /**
     * 排序字段
     */
    @TableField(value = "SORT")
    private Integer sort;

    /**
     * 所属区域 1-浦东新区 2-青浦区 3-闵行区 4-松江区 5-金山区 6-奉贤区 7-嘉定区 8-宝山区 9-崇明区 10-临港新片区 11-市管内河 12-合计
     */
    @TableField(value = "OWNING_AREA")
    private String owningArea;

    /**
     * 0-未删除,1-已删除
     */
    @TableField(value = "DELETE_FLAG")
    private Integer deleteFlag;

    /**
     * 创建人
     */
    @TableField(value = "CREATE_USER")
    private String createUser;

    /**
     * 创建日期
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     * 报表时间/报表年月
     */
    @TableField(value = "REPORT_DATE")
    private Date reportDate;

    /**
     * 类型 1-各区上报数据  2-市级平台自动上传数据
     */
    @TableField(value = "TYPE")
    private Integer type;

    /**
     * 
     */
    @TableField(value = "COLUMN2")
    private String column2;

    /**
     * 
     */
    @TableField(value = "COLUMN3")
    private String column3;

    /**
     * 
     */
    @TableField(value = "COLUMN4")
    private String column4;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SpStatementInlandLow other = (SpStatementInlandLow) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDistrict() == null ? other.getDistrict() == null : this.getDistrict().equals(other.getDistrict()))
            && (this.getBoatUseNumberMonth() == null ? other.getBoatUseNumberMonth() == null : this.getBoatUseNumberMonth().equals(other.getBoatUseNumberMonth()))
            && (this.getBoatUseNumberChain() == null ? other.getBoatUseNumberChain() == null : this.getBoatUseNumberChain().equals(other.getBoatUseNumberChain()))
            && (this.getBoatUseNumberYearTotal() == null ? other.getBoatUseNumberYearTotal() == null : this.getBoatUseNumberYearTotal().equals(other.getBoatUseNumberYearTotal()))
            && (this.getPowerConnHoursMonth() == null ? other.getPowerConnHoursMonth() == null : this.getPowerConnHoursMonth().equals(other.getPowerConnHoursMonth()))
            && (this.getPowerConnHoursYearTotal() == null ? other.getPowerConnHoursYearTotal() == null : this.getPowerConnHoursYearTotal().equals(other.getPowerConnHoursYearTotal()))
            && (this.getElectricityUsageMonth() == null ? other.getElectricityUsageMonth() == null : this.getElectricityUsageMonth().equals(other.getElectricityUsageMonth()))
            && (this.getElectricityUsageYearTotal() == null ? other.getElectricityUsageYearTotal() == null : this.getElectricityUsageYearTotal().equals(other.getElectricityUsageYearTotal()))
            && (this.getSort() == null ? other.getSort() == null : this.getSort().equals(other.getSort()))
            && (this.getOwningArea() == null ? other.getOwningArea() == null : this.getOwningArea().equals(other.getOwningArea()))
            && (this.getDeleteFlag() == null ? other.getDeleteFlag() == null : this.getDeleteFlag().equals(other.getDeleteFlag()))
            && (this.getCreateUser() == null ? other.getCreateUser() == null : this.getCreateUser().equals(other.getCreateUser()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getReportDate() == null ? other.getReportDate() == null : this.getReportDate().equals(other.getReportDate()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getColumn2() == null ? other.getColumn2() == null : this.getColumn2().equals(other.getColumn2()))
            && (this.getColumn3() == null ? other.getColumn3() == null : this.getColumn3().equals(other.getColumn3()))
            && (this.getColumn4() == null ? other.getColumn4() == null : this.getColumn4().equals(other.getColumn4()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDistrict() == null) ? 0 : getDistrict().hashCode());
        result = prime * result + ((getBoatUseNumberMonth() == null) ? 0 : getBoatUseNumberMonth().hashCode());
        result = prime * result + ((getBoatUseNumberChain() == null) ? 0 : getBoatUseNumberChain().hashCode());
        result = prime * result + ((getBoatUseNumberYearTotal() == null) ? 0 : getBoatUseNumberYearTotal().hashCode());
        result = prime * result + ((getPowerConnHoursMonth() == null) ? 0 : getPowerConnHoursMonth().hashCode());
        result = prime * result + ((getPowerConnHoursYearTotal() == null) ? 0 : getPowerConnHoursYearTotal().hashCode());
        result = prime * result + ((getElectricityUsageMonth() == null) ? 0 : getElectricityUsageMonth().hashCode());
        result = prime * result + ((getElectricityUsageYearTotal() == null) ? 0 : getElectricityUsageYearTotal().hashCode());
        result = prime * result + ((getSort() == null) ? 0 : getSort().hashCode());
        result = prime * result + ((getOwningArea() == null) ? 0 : getOwningArea().hashCode());
        result = prime * result + ((getDeleteFlag() == null) ? 0 : getDeleteFlag().hashCode());
        result = prime * result + ((getCreateUser() == null) ? 0 : getCreateUser().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getReportDate() == null) ? 0 : getReportDate().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getColumn2() == null) ? 0 : getColumn2().hashCode());
        result = prime * result + ((getColumn3() == null) ? 0 : getColumn3().hashCode());
        result = prime * result + ((getColumn4() == null) ? 0 : getColumn4().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", district=").append(district);
        sb.append(", boatUseNumberMonth=").append(boatUseNumberMonth);
        sb.append(", boatUseNumberChain=").append(boatUseNumberChain);
        sb.append(", boatUseNumberYearTotal=").append(boatUseNumberYearTotal);
        sb.append(", powerConnHoursMonth=").append(powerConnHoursMonth);
        sb.append(", powerConnHoursYearTotal=").append(powerConnHoursYearTotal);
        sb.append(", electricityUsageMonth=").append(electricityUsageMonth);
        sb.append(", electricityUsageYearTotal=").append(electricityUsageYearTotal);
        sb.append(", sort=").append(sort);
        sb.append(", owningArea=").append(owningArea);
        sb.append(", deleteFlag=").append(deleteFlag);
        sb.append(", createUser=").append(createUser);
        sb.append(", createTime=").append(createTime);
        sb.append(", reportDate=").append(reportDate);
        sb.append(", type=").append(type);
        sb.append(", column2=").append(column2);
        sb.append(", column3=").append(column3);
        sb.append(", column4=").append(column4);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}