package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;

/**
 * 上海港船舶使用岸电情况分泊位统计表
 * @TableName SP_STATEMENT_QUARTER_REPORT
 */
@TableName(value ="GHJG_PORT_MANAGE.SP_STATEMENT_QUARTER_REPORT")
@Data
public class SpStatementQuarterReport implements Serializable {
    /**
     * 
     */
    @TableId(value = "ID")
    private String id;

    /**
     * 所属年份
     */
    @TableField(value = "YEAR")
    private Integer year;

    /**
     * 所属季度
     */
    @TableField(value = "QUARTER")
    private Integer quarter;

    /**
     * 数据类型： 0 集装箱泊位 1滚装泊位 2 干散货泊位2000+ 3 干散货泊位其他 4 多用途泊位2000+ 5 多用途泊位其他 6 通用泊位2000+ 7通用泊位其他 9 邮轮泊位 10 客运泊位 11 其他泊位 99 合计
     */
    @TableField(value = "DATA_TYPE")
    private Integer dataType;

    /**
     * 季度新增
     */
    @TableField(value = "SHIP_USAGE_QUARTER")
    private BigDecimal shipUsageQuarter = BigDecimal.ZERO;

    /**
     * 本年合计
     */
    @TableField(value = "SHIP_USAGE_YEAR")
    private BigDecimal shipUsageYear = BigDecimal.ZERO;

    /**
     * 接电时间季度
     */
    @TableField(value = "CHARGE_TIME_QUARTER")
    private BigDecimal chargeTimeQuarter = BigDecimal.ZERO;

    /**
     * 接电时间年度
     */
    @TableField(value = "CHARGE_TIME_YEAR")
    private BigDecimal chargeTimeYear = BigDecimal.ZERO;

    /**
     * 用电量本季度
     */
    @TableField(value = "ELECT_USE_QUARTER")
    private BigDecimal electUseQuarter = BigDecimal.ZERO;

    /**
     * 用电量年度
     */
    @TableField(value = "ELECT_USE_YEAR")
    private BigDecimal electUseYear = BigDecimal.ZERO;

    /**
     * 
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SpStatementQuarterReport other = (SpStatementQuarterReport) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getYear() == null ? other.getYear() == null : this.getYear().equals(other.getYear()))
            && (this.getQuarter() == null ? other.getQuarter() == null : this.getQuarter().equals(other.getQuarter()))
            && (this.getDataType() == null ? other.getDataType() == null : this.getDataType().equals(other.getDataType()))
            && (this.getShipUsageQuarter() == null ? other.getShipUsageQuarter() == null : this.getShipUsageQuarter().equals(other.getShipUsageQuarter()))
            && (this.getShipUsageYear() == null ? other.getShipUsageYear() == null : this.getShipUsageYear().equals(other.getShipUsageYear()))
            && (this.getChargeTimeQuarter() == null ? other.getChargeTimeQuarter() == null : this.getChargeTimeQuarter().equals(other.getChargeTimeQuarter()))
            && (this.getChargeTimeYear() == null ? other.getChargeTimeYear() == null : this.getChargeTimeYear().equals(other.getChargeTimeYear()))
            && (this.getElectUseQuarter() == null ? other.getElectUseQuarter() == null : this.getElectUseQuarter().equals(other.getElectUseQuarter()))
            && (this.getElectUseYear() == null ? other.getElectUseYear() == null : this.getElectUseYear().equals(other.getElectUseYear()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getYear() == null) ? 0 : getYear().hashCode());
        result = prime * result + ((getQuarter() == null) ? 0 : getQuarter().hashCode());
        result = prime * result + ((getDataType() == null) ? 0 : getDataType().hashCode());
        result = prime * result + ((getShipUsageQuarter() == null) ? 0 : getShipUsageQuarter().hashCode());
        result = prime * result + ((getShipUsageYear() == null) ? 0 : getShipUsageYear().hashCode());
        result = prime * result + ((getChargeTimeQuarter() == null) ? 0 : getChargeTimeQuarter().hashCode());
        result = prime * result + ((getChargeTimeYear() == null) ? 0 : getChargeTimeYear().hashCode());
        result = prime * result + ((getElectUseQuarter() == null) ? 0 : getElectUseQuarter().hashCode());
        result = prime * result + ((getElectUseYear() == null) ? 0 : getElectUseYear().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", year=").append(year);
        sb.append(", quarter=").append(quarter);
        sb.append(", dataType=").append(dataType);
        sb.append(", shipUsageQuarter=").append(shipUsageQuarter);
        sb.append(", shipUsageYear=").append(shipUsageYear);
        sb.append(", chargeTimeQuarter=").append(chargeTimeQuarter);
        sb.append(", chargeTimeYear=").append(chargeTimeYear);
        sb.append(", electUseQuarter=").append(electUseQuarter);
        sb.append(", electUseYear=").append(electUseYear);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}